OD(1)

NOMBRE
od - volcado de archivos en octal y otros formatos

SINOPSIS
od [OPCIÓN]... [FICHERO]...
od [-abcdfilosx]... [FICHERO] [[+]DESPLAZAMIENTO[.][b]]
od --traditional [OPCIÓN]... [FICHERO] [[+]DESPLAZAMIENTO[.][b] [+][ETIQUETA][.][b]]

DESCRIPCIÓN

Escribe una representación inequívoca, por defecto en base ocho, de FICHERO en la salida estándar. Si se indica más de un FICHERO como argumento, los concatenará en el orden en que se indiquen para crear la entrada.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Si son aplicables tanto el primero como el segundo formato de llamada, se supone el segundo si el último operando comienza con + o (si hay dos operandos) un dígito. Un operando DESPLAZAMIENTO significa -j DESPLAZAMIENTO. ETIQUETA es la pseudodirección del primer byte mostrado, que se incrementa a la vez que se va procesando el volcado. Para DESPLAZAMIENTO y ETIQUETA, el prefijo 0x ó 0X indica hexadecimal, los sufijos pueden ser . para octal y b para bloques de 512 bytes.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-A, --address-radix=BASE
    formato de salida para las posiciones de fichero; BASE es uno de [doxn], para decimal, octal, hexadecimal o ninguno

--endian={big|little}
    intercambia bytes de entrada según el orden especificado

-j, --skip-bytes=BYTES
    descarta los primeros BYTES bytes de cada fichero

-N, --read-bytes=BYTES
    restringe la salida a BYTES bytes

-S BYTES, --strings[=BYTES]
    sólo muestra cadenas que terminan en NUL con un mínimo de BYTES (3) caracteres imprimibles

-t, --format=TIPO
    selecciona el formato o formatos de salida

-v, --output-duplicates
    no usa * para indicar líneas suprimidas

-w[BYTES], --width[=BYTES]
    muestra BYTES bytes por línea de salida; si no se especifica BYTES, el valor predeterminado es 32

--traditional
    acepta los argumentos en formato tradicional

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

  Las especificaciones de formato tradicionales pueden estar mezcladas y se acumulan:

-a  lo mismo que -t a, selecciona los caracteres nombrados, descartando el bit más significativo

-b  lo mismo que -t o1, selecciona bytes en base octal

-c  lo mismo que -t c, selecciona caracteres imprimibles o secuencias de escape

-d  lo mismo que -t u2, selecciona unidades decimales de 2 bytes sin signo

-f  lo mismo que -t fF, selecciona números en coma flotante

-i  lo mismo que -t dI, selecciona enteros decimales

-l  lo mismo que -t dL, selecciona enteros decimales largos

-o  lo mismo que -t o2, selecciona unidades octales de 2 bytes

-s  lo mismo que -t d2, selecciona unidades decimales de 2 bytes

-x  lo mismo que -t x2, selecciona unidades hexadecimales de 2 bytes

  TIPO se construye con una o más de las siguientes especificaciones:

a   un determinado carácter, descartando el bit más significativo

c   carácter imprimible o secuencia de escape

d[TAMAÑO]
    decimal con signo, TAMAÑO bytes por cada entero

f[TAMAÑO]
    coma flotante, TAMAÑO bytes por cada entero

o[TAMAÑO]
    octal, TAMAÑO bytes por cada entero

u[TAMAÑO]
    decimal sin signo, TAMAÑO bytes por cada entero

x[TAMAÑO]
    hexadecimal, TAMAÑO bytes por cada entero

TAMAÑO es un número. Para los TIPO en [doux], TAMAÑO puede ser también: "C para `sizeof(char)', S para `sizeof(short)', I para `sizeof(int)' ó L para `sizeof(long)'. Si TIPO es f, TAMAÑO puede ser también B para Brain de 16 bits, H para Half precision floa, F para `sizeof(float)', D para `sizeof(double)' ó L para `sizeof(long double)'.

Si se añade el sufijo z a cualquier tipo, se añade un visor de caracteres imprimibles al final de cada línea del resultado.

  BYTES es hexadecimal con prefijo 0x ó 0X, y puede tener un sufijo multiplicativo:

b   512

KB  1000

K   1024

MB  1000*1000

M   1024*1024

y así sucesivamente para G, T, P, E, Z, Y, R y Q. También es posible emplear prefijos binarios: kiB=K, MiB=M, etc...

EJEMPLOS

od -A x -t x1z -v
    Muestra el volcado en formato hexadecimal

od -A o -t oS -w16
    Formato de salida que od emplea por defecto

AUTOR
Escrito por Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Ayuda en línea: <https://www.gnu.org/software/coreutils/od>
también disponible localmente ejecutando: info '(coreutils) od invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Victor Moral <victor@venexma.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.